#!/bin/bash
source "${AGENT_PATH}/common.sh"
_check_required_env_vars "LOCAL_DATA_FOLDER" "CONTAINER_NAME"

# Nginx Example Nuke Script
# Removes container and local data folder.

# Call uninstall script first
./uninstall.sh

datanuke "path=${LOCAL_DATA_FOLDER}" || _die "Failed to nuke ${LOCAL_DATA_FOLDER}"

if [ -d "${LOCAL_DATA_FOLDER}" ]; then
    echo "datanuke failed to remove ${LOCAL_DATA_FOLDER}"
    exit 1
fi

echo "Nuke complete for service ${CONTAINER_NAME}."
